summaryrefslogtreecommitdiff
path: root/tests/cp/fail-perm
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-07-01 09:41:20 +0000
committerJim Meyering <jim@meyering.net>2002-07-01 09:41:20 +0000
commita7d1d17be0f5243b2a82971ac3647139418013a4 (patch)
tree67dc1ec1a9f175176ea33435fdb40e8573c10226 /tests/cp/fail-perm
parent7039e40db2ab2a13823b71039f8bcd0a7ee95493 (diff)
downloadcoreutils-a7d1d17be0f5243b2a82971ac3647139418013a4.tar.xz
update to use prologue from sample-test
Diffstat (limited to 'tests/cp/fail-perm')
-rwxr-xr-xtests/cp/fail-perm6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/cp/fail-perm b/tests/cp/fail-perm
index 468b0c983..474a84b4d 100755
--- a/tests/cp/fail-perm
+++ b/tests/cp/fail-perm
@@ -6,9 +6,9 @@ if test "$VERBOSE" = yes; then
fi
pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
-trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
-trap 'exit $?' 1 2 13 15
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
framework_failure=0
mkdir -p $tmp || framework_failure=1